Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractDemandMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractDemandMetaData

All Implemented Interfaces:
  Cloneable, DemandMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class AbstractDemandMetaData
extends org.jboss.util.JBossObject
implements DemandMetaData

A demand.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Nested Class Summary
`class` | `AbstractDemandMetaData.DemandDependencyItem` Information about a demand dependency.

Field Summary
`protected Object` | `demand` The demand
`protected org.jboss.dependency.plugins.AbstractDependencyItem` | `dependencyItem` The dependency delegate
`protected org.jboss.dependency.spi.ControllerState` | `whenRequired` When the dependency is required

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractDemandMetaData()` Create a new demand
`AbstractDemandMetaData(Object demand)` Create a new demand

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`Object` | `getDemand()` What is demanded
`org.jboss.dependency.spi.ControllerState` | `getWhenRequired()` Get when the dependency is required
`void` | `setDemand(Object demand)` Set the demand
`void` | `setWhenRequired(org.jboss.dependency.spi.ControllerState whenRequired)` Set the required state of the dependency
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### demand

    protected Object demand

  The demand

### whenRequired

    protected org.jboss.dependency.spi.ControllerState whenRequired

  When the dependency is required

### dependencyItem

    protected org.jboss.dependency.plugins.AbstractDependencyItem dependencyItem

  The dependency delegate

Constructor Detail

### AbstractDemandMetaData

    public AbstractDemandMetaData()

  Create a new demand

### AbstractDemandMetaData

    public AbstractDemandMetaData(Object demand)

  Create a new demand

Parameters:
  `demand` - the demand

Method Detail

### setWhenRequired

    public void setWhenRequired(org.jboss.dependency.spi.ControllerState whenRequired)

  Set the required state of the dependency

  Parameters:
    `whenRequired` - when the dependecy is required

### setDemand

    public void setDemand(Object demand)

  Set the demand

  Parameters:
    `demand` - the demand

### getDemand

    public Object getDemand()

  Description copied from interface: `DemandMetaData`
  What is demanded

  Specified by:
    `getDemand` in interface `DemandMetaData`
  Returns:
    the demand

### getWhenRequired

    public org.jboss.dependency.spi.ControllerState getWhenRequired()

  Description copied from interface: `DemandMetaData`
  Get when the dependency is required

  Specified by:
    `getWhenRequired` in interface `DemandMetaData`
  Returns:
    when the dependency is required

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Parameters:
    `visitor` - the visitor

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Returns:
    Iterator or null if there aren't any

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.